<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
<title>模型数据管理</title>
<LINK href="<?=base_url()?>csdj/admin/images/admin.css" type="text/css" rel="stylesheet">
<SCRIPT type="text/javascript" src="<?=base_url()?>csdj/admin/js/admin.js?v23"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/dialog.js"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/ajaxrequest.js"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/setcolor.js"></script>
</head>
<body style="margin:2px">
 
	<table align="center" border="1" cellspacing="0" cellpadding="5" bordercolor="#A2DAE7" width="100%" style="border-collapse:collapse;" id="m_Imgs">
	<form method="post" Name="myForm" action="<?=site_url('admin/singer/pldel')?>">
	<tr><td align="center" height="20" colspan="11" class="title">“歌手”模型数据管理    
	 ｜ <a title="歌手列表" href="<?=site_url('admin/singer/index/')?>">歌手列表</a>
	 ｜ <a title="添加歌手" href="<?=site_url('admin/singer/add/')?>">添加歌手</a>
	 ｜ <A onClick="window.parent.showSearchForm('singer',0);return false" href="javascript:;">歌手搜索</A>
	</td></tr>
	<tr align="center">
		<td width="3%">选中</td>
		<td width="8%">缩略题图</td>
		<td width="*">歌手名称</td>
		<td width="6%">歌曲</td><td width="6%">人气</td><td width="9%">添加时间</td><td width="8%">推荐</td><td width="4%">↓状态</td>
		<td width="4%">↓生成</td>
		<td width="8%">↓管理操作</td>
	</tr>
<?php
 if(empty($singer)) echo '<tr align="center"><td colspan="10" align="center">当前没有记录!</td></tr>';
 foreach ($singer as $row) { 
?>
	<tr>
		<td align="center"><input type=checkbox Name="CS_ID[]" id="CS_ID[]" Value="<?=$row->CS_ID?>"></td>
		<td align="center">
<?php
if(empty($row->CS_Pic)){
       echo '--';
}else{
       echo '<img height="30" src="'.$this->CsdjSkins->piclink('singer',$row->CS_Pic).'" style="cursor:url('.base_url().'csdj/images/zoomin.cur),auto" onload="ResizeImages(this,50,30);" onclick="PreviewImage(this);">';
}
?>
		</td>
		<td>[<a href="<?=$this->CsdjSkins->LinkUrl('lists','singer','id',$row->CS_CID,$row->CS_ID)?>" target="_blank"><?=$this->CsdjSkins->getclass($row->CS_CID,'gslist')?></a>]
			<a href="<?=$this->CsdjSkins->LinkUrl('show','singer','id',$row->CS_CID,$row->CS_ID,1,1)?>?cs=html" target="_blank"><font color='<?=$row->CS_Color?>'><?=$row->CS_Name?></font></a>
		</td>
		<td align="center"><?=$this->CsdjSkins->getsingercount($row->CS_ID)?></td>
		<td align="center"><?=$row->CS_Hits?></td>
<?php
		if(date("Y-m-d",strtotime($row->CS_AddTime))==date('Y-m-d')){
				$addtime="<font color=red>".date("Y-m-d",strtotime($row->CS_AddTime))."</font>";
		}else{
				$addtime=date("Y-m-d",strtotime($row->CS_AddTime));
		}
?>
		<td align="center"><?=$addtime?></td>
		<td align="center" id="tj<?=$row->CS_ID?>">
<?php
if($row->CS_TID==0){
	echo '<a href="javascript:;" title="点击推荐" onClick="singertj(\''.site_url('admin/ajax/singertj/').'\',1,'.$row->CS_ID.');return false"><font color=#ff0033>×</font></a>';
}else{
	echo '<a href="javascript:;" title="点击取消推荐" onClick="singertj(\''.site_url('admin/ajax/singertj/').'\',0,'.$row->CS_ID.');return false">√</a>';
}
?>
                </td>

		<td align="center" id="sh<?=$row->CS_ID?>">
<?php
if($row->CS_YID==1){
	echo '<a href="javascript:;" title="点击显示" onClick="singersh(\''.site_url('admin/ajax/singersh/').'\','.$row->CS_YID.','.$row->CS_ID.');return false"><font color=#ff0033>×</font></a>';
}else{
	echo '<a href="javascript:;" title="点击隐藏" onClick="singersh(\''.site_url('admin/ajax/singersh/').'\','.$row->CS_YID.','.$row->CS_ID.');return false">√</a>';
}
?>
		</td>
		
		<td align="center" id="html<?=$row->CS_ID?>">
<?php
if(Web_Mode==3){
       $html=$this->CsdjSkins->LinkUrl('show','singer','id',$row->CS_CID,$row->CS_ID,1,2);
       $html=$this->CsdjAdmin->gethtmls($html); //补全HTML地址
       $html=".".substr($html,strlen(Web_Path));
       if(!file_exists($html)){
	   echo '<a href="javascript:;" title="点击生成HTML" onClick="html(\''.site_url('admin/ajax/html/').'\',\'singer\','.$row->CS_ID.','.$row->CS_CID.');return false"><font color=#ff0033>×</font></a>';
       }else{
	   echo '<a href="javascript:;" title="点击更新HTML" onClick="html(\''.site_url('admin/ajax/html/').'\',\'singer\','.$row->CS_ID.','.$row->CS_CID.');return false">√</a>';
       }
}else{
	   echo '<font title="当前为动态模式，不用生成!">√</font>';
}
?>
			</td>
		<td align="center">
			<a href="<?=site_url('admin/singer/edit/'.$row->CS_ID)?>"><img src="/csdj/admin/images/textedit.png" width="20" height="20" title="编辑"></a>  <img src="/csdj/admin/images/zl.jpg" width="1" height="25" title="">  
			<a href="<?=site_url('admin/singer/del/'.$row->CS_ID)?>" onClick="return confirm('确定删除此内容吗?');"><img src="/csdj/admin/images/trashfull.png" width="20" height="20" title="删除"></a>
		</td>
	</tr>
<?php } ?>

	<tr><td colspan='10'><span style="float:right;">歌手：<?=$nums?>位&nbsp;&nbsp;&nbsp;&nbsp;<?=$pages?></span>选中<input type="checkbox" name="chkall" onClick="CheckAll(this.form)" value="ON">
	&nbsp;&nbsp;<input type="button" class="italk-st3" value="执行批量修改" onClick="Pledit('<?=site_url('admin/singer/pledit/')?>');">
	&nbsp;&nbsp;<input type="submit" name="Submit1" class="italk-st3" value="批量删除所选" onClick="return confirm('您确定删除吗?')">
	</span>
	</td></tr></form></table>
</body>
</html>

